A newer version of this documentation is available.

View Latest

XDCR API

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

The XDCR REST API is used to manage Cross Datacenter Replication (XDCR) operations.

APIs in this Section

Cross Datacenter Replication (XDCR) configuration replicates data between a source bucket and a target bucket. For a detailed introduction and overview, see Cross Data Center Replication (XDCR). To learn how to secure an XDCR connection, see Enable Fully Secure Replications.

For a list of the methods and URIs covered by the pages in this section, see the table below.

HTTP Method URI Documented at

POST

/pools/default/remoteClusters

Creating and Editing References

GET

/pools/default/remoteClusters

Getting a Reference

POST

/controller/createReplication

Creating a Replication

POST

/settings/replications/[replication_id]

Pausing and Resuming a Replication

DELETE

/controller/cancelXDCR/[url_encoded_replication_id]

Deleting a Replication

DELETE

/pools/default/remoteClusters/[destination-cluster-name]

Deleting a Reference

POST

/settings/replications/

Managing Advanced Settings

POST

/settings/replications/<settings_URI>

Managing Advanced Settings

GET

/settings/replications/

Managing Advanced Settings

GET

/settings/replications/<settings_URI>

Managing Advanced Settings

GET

/pools/default/stats/range/[statistics_name]

Getting a Single Statistic